#
# spec file for package rubygem-rubyzip
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rubyzip
Version:        1.2.2
Release:        lp151.2.1
%define mod_name rubyzip
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/rubyzip/rubyzip
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        rubyzip is a ruby module for reading and writing zip files
License:        BSD-2-Clause
Group:          Development/Languages/Ruby

%description
rubyzip is a ruby module for reading and writing zip files.

%prep

%build

%install
%gem_install \
  --doc-files="README.md" \
  -f

%gem_packages

%changelog
* Wed Sep  5 2018 coolo@suse.com
- updated to version 1.2.2
  Fixes CVE-2018-1000544 symlink and absolute path traversal
  (bsc#1099280).
  See https://github.com/rubyzip/rubyzip/pull/387
  for full changelog.
* Thu Feb  9 2017 coolo@suse.com
- updated to version 1.2.1
  Fixes bsc#1027050 CVE-2017-5946
* Sat Feb 20 2016 coolo@suse.com
- updated to version 1.2.0
  no changelog found
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.1.7
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun May 18 2014 coolo@suse.com
- updated to version 1.1.3, no changelog
* Tue Mar 18 2014 coolo@suse.com
- updated to version 1.1.2, no changelog
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.1.0, found no changelog
* Fri Aug 30 2013 coolo@suse.com
- updated to version 1.0.0
  Changed the API for gem. Now it can be used without require param in Gemfile.
  Added read-only support for Zip64 files.
  Added support for setting Unicode file names.
* Fri Jun 22 2012 coolo@suse.com
- update to 0.9.9
  Added support for backslashes in zip files (generated by the default Windows
  zip packer for example) and comment sections with the comment length set to zero
  even though there is actually a comment.
* Sat Apr 28 2012 coolo@suse.com
- update to 0.9.8
  Fixed: "Unitialized constant NullInputStream" error
* Sun Apr  8 2012 coolo@suse.com
- update to 0.9.7, still no upstream changelog
* Wed Apr  4 2012 coolo@suse.com
- update to 0.9.6.1, no upstream changelog
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.9.4
  Changed ZipOutputStream.put_next_entry signature (API CHANGE!).
  Now allows comment, extra field and compression method to be
  specified.
- additional changes from version 0.9.3
  Fixed: Added ZipEntry::name_encoding which retrieves the
  character encoding of the name and comment of the entry. Also
  added convenience methods ZipEntry::name_in(enc) and
  ZipEntry::comment_in(enc) for getting zip entry names and
  comments in a specified character encoding.
- additional changes from version 0.9.2
  Fixed: Renaming an entry failed if the entry's new name was a
  different length than its old name. (Diego Barros)
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Oct  2 2006 mrueckert@suse.de
- Initial package of version 0.9.1
